Platform & IdentityStores
Add store domain
POST
/v1/stores/domainsAdd store domain. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/stores/domains" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "domain": "example" }'{ "id": "7204558912004325301", "hostname": "Example resource", "status": "example", "isPrimary": false, "dnsRecords": [ { "type": "example", "name": "Example resource", "content": "example" } ]}